=== added directory 'report_move_voucher'
=== added file 'report_move_voucher/__init__.py'
--- report_move_voucher/__init__.py	1970-01-01 00:00:00 +0000
+++ report_move_voucher/__init__.py	2012-04-13 18:28:44 +0000
@@ -0,0 +1,28 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: María Gabriela Quilarque  <gabriela@openerp.com.ve>
+#              Luis Escobar <luis@vauxoo.com> 
+#    Planified by: Nhomar Hernandez
+#    Finance by: Vauxoo, C.A. http://vauxoo.com 
+#    Audited by: María Gabriela Quilarque  <gabriela@openerp.com.ve>
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+
+import report

=== added file 'report_move_voucher/__openerp__.py'
--- report_move_voucher/__openerp__.py	1970-01-01 00:00:00 +0000
+++ report_move_voucher/__openerp__.py	2012-04-13 18:28:44 +0000
@@ -0,0 +1,48 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) Vauxoo (<http://vauxoo.com>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: María Gabriela Quilarque  <gabriela@vauxoo.com>
+#              Luis Escobar              <luis@vauxoo.com>
+#    Planified by: Nhomar Hernandez
+#    Finance by: Vauxoo, C.A. http://vauxoo.com 
+#    Audited by: Humberto Arocha humberto@vauxoo.com
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+
+{
+	"name" : "Report Move Voucher ",
+	"version" : "0.7",
+	"author" : "OpenERP",
+	"category" : "Generic Modules/Others",
+	"website": "http://wiki.openerp.org.ve/",
+	"description": '''
+ 			Imprime el Comprobante de Asiento
+                    ''',
+	"depends" : ["base",
+                 "account",
+ 
+	             ],
+	"init_xml" : [],
+	"update_xml" : [
+		"move_voucher_report.xml",
+
+	],
+	"active": False,
+	"installable": True
+}

=== added file 'report_move_voucher/move_voucher_report.xml'
--- report_move_voucher/move_voucher_report.xml	1970-01-01 00:00:00 +0000
+++ report_move_voucher/move_voucher_report.xml	2012-04-13 18:28:44 +0000
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        <report             
+            id="account.account_move_vauxoo"
+            menu="True"  
+            model="account.move" 
+            name="account.move.vauxoo" 
+            rml="report_move_voucher/report/move_voucher.rml" 
+            string="Imprimir Comprobante"
+            auto="True" 
+            header="False" 
+            />
+    </data>
+</openerp>
+
+
+

=== added directory 'report_move_voucher/report'
=== added file 'report_move_voucher/report/__init__.py'
--- report_move_voucher/report/__init__.py	1970-01-01 00:00:00 +0000
+++ report_move_voucher/report/__init__.py	2012-04-13 18:28:44 +0000
@@ -0,0 +1,29 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: María Gabriela Quilarque  <gabrielaquilarque97@gmail.com>
+#              Luis Escobar <luis@vauxoo.com> 
+#    Planified by: Nhomar Hernandez
+#    Finance by: Vauxoo, C.A. http://vauxoo.com
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+
+
+##import account

=== added file 'report_move_voucher/report/account.py'
--- report_move_voucher/report/account.py	1970-01-01 00:00:00 +0000
+++ report_move_voucher/report/account.py	2012-04-13 18:28:44 +0000
@@ -0,0 +1,112 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: Maria Gabriela Quilarque gabriela@openerp.com.ve
+#              Luis Escobar luis@vauxoo.com
+#    Planified by: Maria Gabriela Quilarque gabriela@openerp.com.ve
+#    Finance by: Vauxoo, C.A. http://www.vauxoo.com
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+
+import time
+from report import report_sxw
+
+class invoice_report(report_sxw.rml_parse):
+    def __init__(self, cr, uid, name, context):
+        super(invoice_report, self).__init__(cr, uid, name, context=context)
+        self.localcontext.update({
+            'time': time,
+            'get_company_addr': self._get_company_addr,
+            'get_fiscal_addr': self._get_fiscal_addr,
+            'get_contact_addr': self._get_contact_addr,
+            'get_tipo':self.get_tipo,
+        })
+
+
+    def _get_company_addr(self):
+        company_obj = self.pool.get('res.company')
+        company_ids = company_obj.search(self.cr,self.uid,[])
+        company = company_obj.browse(self.cr, self.uid, company_ids[0])
+        addr_com = self._get_partner_addr(company.partner_id.id)
+        return addr_com
+
+
+    #metodo que retorna la direccion fiscal si es de tipo invoice 
+    def _get_fiscal_addr(self, idp=None):
+        if not idp:
+            return []
+        addr_obj = self.pool.get('res.partner.address')
+        res = 'NO HAY DIRECCION FISCAL DEFINIDA'
+        addr_ids = addr_obj.search(self.cr,self.uid,[('partner_id','=',idp), ('type','=','invoice')])
+        addr_inv={}
+        lista=""
+
+        if addr_ids: 
+            addr = addr_obj.browse(self.cr,self.uid, addr_ids[0])
+            lista=(addr.street and ('%s, '%(addr.street)) or '')+' '+(addr.street2 and ('%s - '%(addr.street2)) or '')+' '+(addr.zipcode_id and ('C.P. %s - '%(addr.zipcode_id.name)) or '')+ ' '+(addr.municipality_id and ('%s - '%(addr.municipality_id.name)) or '')+ ' '+(addr.parish_id and ('%s - '%(addr.parish_id.name)) or '')+ ' '+(addr.city_id and ('%s - '%(addr.city_id.name)) or '')+ ' '+(addr.state_id and ('%s - '%(addr.state_id.name)) or '')+' '+(addr.country_id and ('%s '%(addr.country_id.name)) or '')+ '\n '+ (addr.phone and (' TELF.: %s '%(addr.phone)) or '') + (addr.fax and (' FAX: %s '%(addr.fax)) or '') +(addr.mobile and (' CEL.: %s '%(addr.mobile)) or '') + (addr.email and (' EMAIL: %s '%(addr.email)) or '') 
+
+        if lista:
+            respuesta=lista
+        else:
+            respuesta=res
+        return respuesta 
+
+    #metodo que retorna la direccion de contacto si es de tipo contact 
+    def _get_contact_addr(self, idp=None):
+        if not idp:
+            return []
+        addr_obj = self.pool.get('res.partner.address')
+        res = ''
+        addr_ids = addr_obj.search(self.cr,self.uid,[('partner_id','=',idp), ('type','=','contact')])
+        addr_inv={}
+        lista=""
+
+        if addr_ids: 
+            addr = addr_obj.browse(self.cr,self.uid, addr_ids[0])
+            if addr.name:
+                lista=('CONTACTO: %s, '%addr.name) + (addr.street and ('%s, '%(addr.street)) or '')+' '+(addr.street2 and ('%s - '%(addr.street2)) or '')+' '+(addr.zipcode_id and ('C.P. %s - '%(addr.zipcode_id.name)) or '')+ ' '+(addr.municipality_id and ('%s - '%(addr.municipality_id.name)) or '')+ ' '+(addr.parish_id and ('%s - '%(addr.parish_id.name)) or '')+ ' '+(addr.city_id and ('%s - '%(addr.city_id.name)) or '')+ ' '+(addr.state_id and ('%s - '%(addr.state_id.name)) or '')+' '+(addr.country_id and ('%s '%(addr.country_id.name)) or '')+ '\n '+ (addr.phone and (' TELF.: %s '%(addr.phone)) or '') + (addr.fax and (' FAX: %s '%(addr.fax)) or '') +(addr.mobile and (' CEL.: %s '%(addr.mobile)) or '') + (addr.email and (' EMAIL: %s '%(addr.email)) or '') 
+
+        if lista:
+            respuesta=lista
+        else:
+            respuesta=res
+        return respuesta 
+
+
+    def get_tipo(self, idp=None):
+        if not idp:
+            return []
+        print idp
+        res=" "
+        if idp == 'in_invoice' or idp == 'in_refund':
+            res="Compra"
+        elif idp == 'out_invoice' or idp == 'out_refund':
+            res="Venta"     
+            
+        return res 
+
+
+report_sxw.report_sxw( #nuevo
+    'report.account.invoice_vauxoo',
+    'account.invoice',
+    'addons/invoice_report/report/invoice.rml',
+    parser=invoice_report,
+    header = False 
+)
+

=== added file 'report_move_voucher/report/move_voucher.rml'
--- report_move_voucher/report/move_voucher.rml	1970-01-01 00:00:00 +0000
+++ report_move_voucher/report/move_voucher.rml	2012-04-13 18:28:44 +0000
@@ -0,0 +1,177 @@
+<?xml version="1.0"?>
+<document filename="test.pdf">
+  <template pageSize="(215.0mm,280.0mm)" title="Test" author="Martin Simon" allowSplitting="20" showBoundary='0'>
+    <pageTemplate id="first">
+        <pageGraphics>
+    <!-- Aqui esta la definicion de la fuente de todo lo que aparece en los drawstrings -->
+            <setFont name="Courier-Bold" size="12.0"/>
+
+            <place x="10.0mm"     y="240.0mm"    width="200.0mm"  height="20.0mm">  
+                <blockTable colWidths="75.0mm" style="TABLA_SIN">
+                    <tr>
+                        <td>
+                        </td>
+                    </tr>
+                </blockTable>
+            </place>
+            
+      </pageGraphics>
+      
+    <frame id="first" x1="10.0mm" y1="108.0mm" width="195.00mm" height="160.0mm"/>
+    </pageTemplate>
+  </template>
+  <stylesheet>
+
+    <blockTableStyle id="TABLA_SIN_LIN">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEABOVE" colorName="black" start="0,0" stop="-1,0" thickness="0.20"/>
+    </blockTableStyle>
+
+    <blockTableStyle id="TABLA_SIN">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+
+    <blockTableStyle id="TABLA_CON">
+      <lineStyle kind='GRID' colorName="black" start="0,0" stop="-1,-1" thickness="0.25"/>
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+    </blockTableStyle>
+
+    <blockTableStyle id="TABLA_TOT">
+      <blockAlignment value="LEFT"/>
+      <blockValign value="TOP"/>
+      <lineStyle kind="LINEABOVE" colorName="black" start="0,0" stop="-1,0" thickness="0.25"/>
+    </blockTableStyle>
+
+    <initialize>
+      <paraStyle name="all" alignment="justify"/>
+    </initialize>
+
+    <paraStyle name="DERECHA" alignment="RIGHT" fontName="Courier" fontSize="6.0" leading="7" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="DERECHA3" alignment="RIGHT" fontName="Courier" fontSize="12.0" leading="12" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="DERA" alignment="RIGHT" fontName="Courier" fontSize="10.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="CENTRO" alignment="CENTER" fontName="Courier-Bold" fontSize="14.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQDA" alignment="LEFT" fontName="Courier" fontSize="10.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQDA2" alignment="LEFT" fontName="Courier" fontSize="11.0" leading="10" spaceBefore="5.0" textColor="black"/>
+    <paraStyle name="IZQDA4" alignment="LEFT" fontName="Courier" fontSize="8.0" leading="10" spaceBefore="5.0" textColor="black"/>
+    <paraStyle name="DERECH4" alignment="RIGHT" fontName="Courier" fontSize="8.0" leading="10" spaceBefore="5.0" textColor="black"/>
+    <paraStyle name="IZQDA3" alignment="LEFT" fontName="Courier" fontSize="12.0" leading="12" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDA" alignment="LEFT" fontName="Courier" fontSize="6.0" leading="9" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDA2" alignment="LEFT" fontName="Courier" fontSize="10.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDAPEQUE" alignment="LEFT" fontName="Courier" fontSize="7.0" leading="8" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDAPEQUECA" alignment="LEFT" fontName="Courier" fontSize="8.0" leading="9" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="DERECHAPEQUECA" alignment="RIGHT" fontName="Courier" fontSize="8.0" leading="9" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDAPEQUE2" alignment="JUSTIFY"  fontName="Courier" fontSize="7.0" leading="7" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQ-GRANDE" alignment="LEFT" fontName="Courier" fontSize="14.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="DERECHA-N" alignment="RIGHT" fontName="Courier-Bold" fontSize="9.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="CENTRO-N" alignment="CENTER" fontName="Courier" fontSize="10.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    <paraStyle name="IZQUIERDA-N" alignment="LEFT" fontName="Courier-Bold" fontSize="9.0" leading="10" spaceBefore="1.0" textColor="black"/>
+    
+  </stylesheet>
+  <images/>
+  <story>
+                <blockTable colWidths="200.0mm" style="TABLA_SIN">
+                  <tr>
+                    <td>
+                        <para style="DERECHAPEQUECA">FECHA DE IMPRESION: [[ time.strftime('%d/%m/%Y %I:%M %p') ]] </para> 
+                        <spacer length='3mm'/>
+
+                        <para style="CENTRO">COMPROBANTE DE ASIENTO</para>
+                        <spacer length='7mm'/>
+
+                        <para style="IZQDA4">COMPAÑIA: [[o.company_id.name and  ('%s'%(o.company_id.name.upper())) or '' ]]</para>
+                        <para style="IZQDA4">[[ o.company_id.partner_id.vat  and (' RIF.:%s-%s-%s'%(o.company_id.partner_id.vat[2:3],o.company_id.partner_id.vat[3:11],o.company_id.partner_id.vat[11:12])) or '' ]]</para>
+                        <para style="IZQDA4">USUARIO: [[ user.name ]]</para>
+                    </td>
+                  </tr>
+                </blockTable>
+                <blockTable colWidths="75.0mm,75mm,50mm" style="TABLA_SIN">
+                  <tr>
+                    <td>
+                        <para style="IZQDA4">DIARIO: [[ o.journal_id.name.upper() ]]</para>
+                        <para style="IZQDA4">FECHA DEL ASIENTO: [[ formatLang(o.date, date=True) ]]</para></td>
+                    <td>
+                        <para style="IZQDA4"> REF.: [[ o.ref ]]</para>
+                        <para style="IZQDA4"> PERIODO: [[ o.period_id.name.upper() ]]</para></td>
+                    <td>
+                        <para style="DERECH4">COMP.:<b> [[ o.name ]] </b></para></td>
+                  </tr>
+                </blockTable>
+    <para>[[repeatIn(objects,'o')]][[ setLang(o.partner_id.lang) ]]</para>
+    
+    <spacer length='2mm'/>
+    <blockTable colWidths="65.0mm,30.0mm,65.0mm,20.0mm,20.0mm" style="TABLA_SIN">
+      <tr>
+        <td>
+          <para style="IZQUIERDA-N">CUENTA</para>
+        </td>
+        <td>
+          <para style="IZQUIERDA-N">REFERENCIA</para>
+        </td>
+        <td>
+          <para style="IZQUIERDA-N">COMENTARIO</para>
+        </td>
+        <td>
+          <para style="DERECHA-N">DEBE</para>
+        </td>
+        <td>
+          <para style="DERECHA-N">HABER</para>
+        </td>
+      </tr>
+    </blockTable>
+    <section>
+      <para style="DERECHA">[[ repeatIn(o.line_id,'l') ]]</para>
+      <blockTable colWidths="65.0mm,30.0mm,65.0mm,20.0mm,20.0mm" style="TABLA_SIN_LIN">
+        <tr>
+          <td>
+            <para style="IZQUIERDA">[[ l.account_id.code ]] [[ l.account_id.name ]]</para>
+          </td>
+          <td>
+            <para style="IZQUIERDA">[[ l.ref ]]</para>
+          </td>
+          <td>
+            <para style="IZQUIERDA">[[ l.name.upper() ]]</para>
+          </td>
+          <td>
+            <para style="DERECHA">[[ l.debit and formatLang(l.debit)  or '']]</para>
+          </td>
+          <td>
+            <para style="DERECHA">[[ l.credit and formatLang(l.credit)  or '']]</para>
+          </td>
+        </tr>
+      </blockTable>
+
+    </section>
+
+    <spacer length='5mm'/>    
+
+    <blockTable colWidths="160.0mm,20.0mm,20.0mm" style="TABLA_TOT">
+      <tr>
+        <td>
+            <para style="DERECHA"><b>TOTALES</b></para>
+        </td>
+        <td>
+            <para style="DERECHA"><b>[[ formatLang(reduce(lambda x, obj: x+obj.debit , o.line_id , 0 )) ]]</b></para>
+        </td>
+        <td>
+            <para style="DERECHA"><b>[[ formatLang(reduce(lambda x, obj: x+obj.credit , o.line_id , 0 )) ]]</b></para>
+        </td>
+      </tr>
+    </blockTable>
+   
+
+    <blockTable colWidths="25.0mm,165.0mm" style="TABLA_SIN">
+      <tr><td><para></para></td><td><para></para></td></tr>
+      <tr><td><para></para></td><td><para></para></td></tr>
+      <tr><td><para></para></td><td><para></para></td></tr>
+      <tr>
+        <td>
+    <para style="IZQUIERDA">[[ (o.type=='out_invoice' and o.origin) and ('ORIGEN: %s'%(o.origin)) or removeParentNode('para') ]] </para>
+        </td>
+      </tr>
+    </blockTable>
+
+  </story>
+</document>

